Skip to main content
GET
RedPacket - GetRedpacketsByAddress

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

address
string
required

An address of a wallet

Query Parameters

cursor
string

Pagination cursor

limit
integer<int64>

Number of results per page

direction
enum<string>
default:next

Pagination direction

Available options:
next,
prev

Response

200 - application/json

Successful response

Paginated red packets response

hasNextPage
boolean
required

Whether there is a next page

records
object[]
required

List of red packets

total
integer<int64>
required

Total number of red packets

endCursor
string | null

Cursor for the end of current page

startCursor
string | null

Cursor for the start of current page